Package org.eclipse.ecf.core.sharedobject.events

# Class RemoteSharedObjectCreateResponseEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectEvent
org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectCreateResponseEvent

All Implemented Interfaces:
  `Serializable`, `ISharedObjectCreateResponseEvent`, `ISharedObjectEvent`, `ISharedObjectMessageEvent`, `Event`

public class RemoteSharedObjectCreateResponseEvent extends RemoteSharedObjectEvent implements ISharedObjectCreateResponseEvent

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteSharedObjectCreateResponseEvent()`
`RemoteSharedObjectCreateResponseEvent(ID senderObj, ID remoteCont, long seq, Throwable exception)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
`long`
`getSequence()`
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectEvent

`getData, getEvent, getRemoteContainerID, getSenderSharedObjectID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.events.ISharedObjectEvent

`getEvent, getSenderSharedObjectID`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.events.ISharedObjectMessageEvent

`getData, getRemoteContainerID`

## Constructor Details

### RemoteSharedObjectCreateResponseEvent

public RemoteSharedObjectCreateResponseEvent()

Since:
  2.6

### RemoteSharedObjectCreateResponseEvent

public RemoteSharedObjectCreateResponseEvent(ID senderObj, ID remoteCont, long seq, Throwable exception)

## Method Details

### getSequence

public long getSequence()

Specified by:
  `getSequence` in interface `ISharedObjectCreateResponseEvent`

### getException

public Throwable getException()

Specified by:
  `getException` in interface `ISharedObjectCreateResponseEvent`

### toString

public String toString()

Overrides:
  `toString` in class `RemoteSharedObjectEvent`